# Generated by Django 3.2.21 on 2023-09-29 10:21

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('crawl_bot', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CrawlProxy',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip_address', models.CharField(max_length=255)),
                ('port', models.PositiveIntegerField()),
                ('status', models.IntegerField(default=1)),
                ('username', models.CharField(blank=True, max_length=255, null=True)),
                ('password', models.CharField(blank=True, max_length=255, null=True)),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('crawl_bot', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='crawl_bot.crawlbot')),
            ],
            options={
                'db_table': 'crawl_proxy',
            },
        ),
    ]
